---
rank: 41
title: Four books for greater understanding
date: 2016-01-09T00:47:58.000Z
layout: post
path: /four-books-for-greater-understanding/
next: /the-trouble-with-promises/
previous: /open-source-and-feelings-the-awesome/
tags:
  - fun
  - books
  - nvc
  - ideas
---

I read 30 books in 2015, most for the first time. These four nonfiction books were all first-time reads and left me with quite a few new ideas bouncing around this head of mine. Combined, they made 2015 a year of deeper human and self understanding:

* Cutting through Spiritual Materialism
* The More Beautiful World our Hearts Know is Possible
* Nonviolent Communication: A Language of Life
* The Authoritarians

Let's dig in!

<div class='fold'></div>

## [Cutting through Spiritual Materialism (1973)](https://en.wikipedia.org/wiki/Cutting_Through_Spiritual_Materialism)

This book was originally released as Eastern religions were becoming mainstream in the United States. [Chögyam Trungpa](https://en.wikipedia.org/wiki/Ch%C3%B6gyam_Trungpa) was trained in Tibet, then came to the United States by way of India, England (where one of his meditation students was David Bowie) and Scotland.

The book is structured around a collection of speeches he gave, each in its own section and followed by student questions and his answers. It presents very challenging ideas, but Chögyam's reputation for packaging these ideas nicely for western consumption is very well-deserved.

### Key ideas:

* 'Doing well' in a religion could be something jealously guarded as a signal of status or self-justification. An object for standard materialistic instincts, becoming decoration for an identity.
* The spiritual experience, the high of being in the moment, is real. But we should be striving to remove all distractions and find our true self, true consciousness, truly being in the now. That is meditation.
* What if we 'just did' and got rid of the 'overseer' in our mind telling us whether we should or should not do things?
* What if we dissolved the separation in our mind between the concepts 'me' and 'the world?' That would be true universal compassion, not at all contingent.

## [The More Beautiful World our Hearts Know is Possible (2013)](http://charleseisenstein.net/project/the-more-beautiful-world-our-hearts-know-is-possible/)

[Charles Eisenstein](http://charleseisenstein.net/) speaks and writes passionately about people and systems: the environment, the monetary system, the promise of technology. He is particularly interested in story - the emotional, non-rational core of the human experience, and how that shapes the world. This book is quite inspirational - I read it twice during the year.

### Key ideas:

* Generosity comes from feeling like you have enough. The 'story of the world' you have in your mind will affect your behavior as well. Are we all individuals fighting tooth and nail, or are well all in this together?
* We are all told that we are worth nothing, it's what we do that make us worthwhile. What if we're worthwhile no matter what? Then you can really be yourself. Everything you do doesn't have to be attached to a principle.
* Many activists do what they do because they want to self-legitimize. And they argue with other activist-types about which cause is the most worthwhile.
* If the tools of oppression and war are used to try to change the world, the world won't really ever change. Activism needs a sense of play.

## [Nonviolent Communication: A Language of Life (2003)](http://www.amazon.com/Nonviolent-Communication-A-Language-Life/dp/1892005034)

[Marshall B. Rosenberg](https://en.wikipedia.org/wiki/Marshall_Rosenberg) was a true visionary. He didn't like the pathology-focused standard practices in his field of clinical psychology, so developed a human-centered system. Instead of worrying about which 'disease' or 'problem' a patient had, he would try to deeply understand that person. From there he expanded his focus beyond individual patients, knowing that his system could change the world. He worked with inner city kids, farm workers, politicians, negotiators, ambassadors, even Israelis and Palestinians.

As I mentioned in my [Open Source and Feelings: The Awesome](/open-source-and-feelings-the-awesome/) post, it was a conference session that finally convinced me to read this book. I felt like I had a pretty good idea of what [Non-Violent Communication (NVC)](https://en.wikipedia.org/wiki/Nonviolent_Communication) meant, having seen it mentioned quite a bit elsewhere, but this book really brought it to life. Marshall's anecdotes and simple explanations drive it home. It's definitely worth a read.

### Key ideas:

* Many of us taught from a very young age that our feelings don't matter, or that they shouldn't be expressed. So we have a weak vocabulary for our own emotions.
* When interacting with others, we just about always make judgements which cloud the meaning of we say. Simple observations instead of judgments or diagnoses drastically changes the tone of the interaction.
* Most negative behavior comes from people whose needs aren't being met, yet they often don't even know how to express those needs to the people around them.
* Most of us are trained from a young age to be manipulative. A parent calls a child 'messy' or 'irresponsible' when they don't clean their room. This is only likely to accomplish the parent's goal of a clean room if it stimulates guilt or is accompanied by a threat.

## [The Authoritarians (2006)](http://home.cc.umanitoba.ca/~altemey/)

[Bob Altemeyer](https://en.wikipedia.org/wiki/Bob_Altemeyer) is a retired Professor of Psychology, who focused most of his research on understanding the 'authoritarian' mindset. He wrote this book, [freely available as a PDF](http://home.cc.umanitoba.ca/~altemey/), very near to his retirement, knowing that it wouldn't make much money and perhaps lacking the patience to send it through conventional publishing channels.

What he wanted was to make his many years of research available to everyone, knowing its importance to the future of democracy. I found it a highly useful tool for better understanding the political environment in the United States of late. It handily explains the apparent improbability of Donald Trump as a frontrunner for the GOP Presidential candidate. And the hurtful emergence of #BlueLivesMatter and #AllLivesMatter both in the face of the #BlackLivesMatter movement.

### Key ideas:

* There's a test which can determine how 'authoritarian' you are. It seems to correlate with not having seen much of world, not breaking out of your initial community.
* 'Authoritarians' implicitly trust authority, if it is deemed legitimate by their in-group. They support the police blindly, believing that only morally corrupt people would have conflict with the police.
* 'Authoritarians' are a danger to democracy, because they would happily sacrifice freedoms, and don't generally second-guess leadership decisions. Thus, they can easily be manipulated.

## Bonus blog post: [Meditations on Moloch (2014)](http://slatestarcodex.com/2014/07/30/meditations-on-moloch/)

I encountered [Slate Star Codex's blog](http://slatestarcodex.com/) at the beginning of the year, and was really impressed by the complexity of ideas he was wrestling with in his posts. His [Meditations on Moloch post](http://slatestarcodex.com/2014/07/30/meditations-on-moloch/) took hold in my mind and didn't let go, because it named and explained a few facets of the world better than I had ever encountered. It's quite a ride.

### Key ideas:

* The systems in place today, in which we can so easily find fault, were never designed by one person or group of people. It's all just individuals, each in their own unique situation with its own incentives, resulting in higher-level emergent behavior and large-scale forces. It's not good or evil, it just is.
* Conservatives have internalized these large-scale forces, live according to their mandates, and expect others to do the same. Liberals see all negative aspects of current systems, and believe that humanity can do better.
* The more you dig in, the more the poetry of old starts to make sense. Large-scale social forces coming from complex systems, projects to develop intelligent AI which might help manage those systems, or might destroy humanity. Squint a little and you can almost see the whims of the old gods.

## Read these!

I fully recommend all of these books (and the bonus blog post). You might consider starting with Non-Violent Communication, since it will be immediately useful in your daily life.

Either way, be sure to let me know and we can have some sort of virtual book group!
